org.swixml.converters

## Interface KeyEvent

- All Known Implementing Classes:
    PrimitiveConverter

      public interface KeyEvent

  The KeyEvent Interface makes the KeyEvents available to the converter objects
  Since:
  Version:
    $Revision: 1.2 $
  Author:
    Wolf Paulus

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static char` | `CHAR_UNDEFINED` KEY_PRESSED and KEY_RELEASED events which do not map to a valid Unicode character use this for the keyChar value.
    `static int` | `KEY_FIRST` The first number in the range of ids used for key events.
    `static int` | `KEY_LAST` The last number in the range of ids used for key events.
    `static int` | `KEY_LOCATION_LEFT` A constant indicating that the key pressed or released is in the left key location (there is more than one possible location for this key).
    `static int` | `KEY_LOCATION_NUMPAD` A constant indicating that the key event originated on the numeric keypad or with a virtual key corresponding to the numeric keypad.
    `static int` | `KEY_LOCATION_RIGHT` A constant indicating that the key pressed or released is in the right key location (there is more than one possible location for this key).
    `static int` | `KEY_LOCATION_STANDARD` A constant indicating that the key pressed or released is not distinguished as the left or right version of a key, and did not originate on the numeric keypad (or did not originate with a virtual key corresponding to the numeric keypad).
    `static int` | `KEY_LOCATION_UNKNOWN` A constant indicating that the keyLocation is indeterminate or not relevant.
    `static int` | `KEY_PRESSED` The "key pressed" event.
    `static int` | `KEY_RELEASED` The "key released" event.
    `static int` | `KEY_TYPED` The "key typed" event.
    `static int` | `VK_0` VK_0 thru VK_9 are the same as ASCII '0' thru '9' (0x30 - 0x39)
    `static int` | `VK_1`
    `static int` | `VK_2`
    `static int` | `VK_3`
    `static int` | `VK_4`
    `static int` | `VK_5`
    `static int` | `VK_6`
    `static int` | `VK_7`
    `static int` | `VK_8`
    `static int` | `VK_9`
    `static int` | `VK_A` VK_A thru VK_Z are the same as ASCII 'A' thru 'Z' (0x41 - 0x5A)
    `static int` | `VK_ACCEPT`
    `static int` | `VK_ADD`
    `static int` | `VK_AGAIN`
    `static int` | `VK_ALL_CANDIDATES`
    `static int` | `VK_ALPHANUMERIC`
    `static int` | `VK_ALT`
    `static int` | `VK_ALT_GRAPH` Constant for the AltGraph function key.
    `static int` | `VK_AMPERSAND`
    `static int` | `VK_ASTERISK`
    `static int` | `VK_AT` Constant for the "@" key.
    `static int` | `VK_B`
    `static int` | `VK_BACK_QUOTE`
    `static int` | `VK_BACK_SLASH`
    `static int` | `VK_BACK_SPACE`
    `static int` | `VK_BRACELEFT`
    `static int` | `VK_BRACERIGHT`
    `static int` | `VK_C`
    `static int` | `VK_CANCEL`
    `static int` | `VK_CAPS_LOCK`
    `static int` | `VK_CIRCUMFLEX` Constant for the "^" key.
    `static int` | `VK_CLEAR`
    `static int` | `VK_CLOSE_BRACKET`
    `static int` | `VK_CODE_INPUT`
    `static int` | `VK_COLON` Constant for the ":" key.
    `static int` | `VK_COMMA`
    `static int` | `VK_COMPOSE` Constant for the Compose function key.
    `static int` | `VK_CONTROL`
    `static int` | `VK_CONVERT`
    `static int` | `VK_COPY`
    `static int` | `VK_CUT`
    `static int` | `VK_D`
    `static int` | `VK_DEAD_ABOVEDOT`
    `static int` | `VK_DEAD_ABOVERING`
    `static int` | `VK_DEAD_ACUTE`
    `static int` | `VK_DEAD_BREVE`
    `static int` | `VK_DEAD_CARON`
    `static int` | `VK_DEAD_CEDILLA`
    `static int` | `VK_DEAD_CIRCUMFLEX`
    `static int` | `VK_DEAD_DIAERESIS`
    `static int` | `VK_DEAD_DOUBLEACUTE`
    `static int` | `VK_DEAD_GRAVE`
    `static int` | `VK_DEAD_IOTA`
    `static int` | `VK_DEAD_MACRON`
    `static int` | `VK_DEAD_OGONEK`
    `static int` | `VK_DEAD_SEMIVOICED_SOUND`
    `static int` | `VK_DEAD_TILDE`
    `static int` | `VK_DEAD_VOICED_SOUND`
    `static int` | `VK_DECIMAL`
    `static int` | `VK_DELETE`
    `static int` | `VK_DIVIDE`
    `static int` | `VK_DOLLAR` Constant for the "$" key.
    `static int` | `VK_DOWN` Constant for the non-numpad down arrow key.
    `static int` | `VK_E`
    `static int` | `VK_END`
    `static int` | `VK_ENTER`
    `static int` | `VK_EQUALS`
    `static int` | `VK_ESCAPE`
    `static int` | `VK_EURO_SIGN` Constant for the Euro currency sign key.
    `static int` | `VK_EXCLAMATION_MARK` Constant for the "!"
    `static int` | `VK_F`
    `static int` | `VK_F1` Constant for the F1 function key.
    `static int` | `VK_F10` Constant for the F10 function key.
    `static int` | `VK_F11` Constant for the F11 function key.
    `static int` | `VK_F12` Constant for the F12 function key.
    `static int` | `VK_F13`
    `static int` | `VK_F14` Constant for the F14 function key.
    `static int` | `VK_F15` Constant for the F15 function key.
    `static int` | `VK_F16` Constant for the F16 function key.
    `static int` | `VK_F17` Constant for the F17 function key.
    `static int` | `VK_F18` Constant for the F18 function key.
    `static int` | `VK_F19` Constant for the F19 function key.
    `static int` | `VK_F2` Constant for the F2 function key.
    `static int` | `VK_F20` Constant for the F20 function key.
    `static int` | `VK_F21` Constant for the F21 function key.
    `static int` | `VK_F22` Constant for the F22 function key.
    `static int` | `VK_F23` Constant for the F23 function key.
    `static int` | `VK_F24` Constant for the F24 function key.
    `static int` | `VK_F3` Constant for the F3 function key.
    `static int` | `VK_F4` Constant for the F4 function key.
    `static int` | `VK_F5` Constant for the F5 function key.
    `static int` | `VK_F6` Constant for the F6 function key.
    `static int` | `VK_F7` Constant for the F7 function key.
    `static int` | `VK_F8` Constant for the F8 function key.
    `static int` | `VK_F9` Constant for the F9 function key.
    `static int` | `VK_FINAL`
    `static int` | `VK_FIND`
    `static int` | `VK_FULL_WIDTH`
    `static int` | `VK_G`
    `static int` | `VK_GREATER`
    `static int` | `VK_H`
    `static int` | `VK_HALF_WIDTH`
    `static int` | `VK_HELP`
    `static int` | `VK_HIRAGANA`
    `static int` | `VK_HOME`
    `static int` | `VK_I`
    `static int` | `VK_INPUT_METHOD_ON_OFF`
    `static int` | `VK_INSERT`
    `static int` | `VK_INVERTED_EXCLAMATION_MARK` Constant for the inverted exclamation mark key.
    `static int` | `VK_J`
    `static int` | `VK_JAPANESE_HIRAGANA`
    `static int` | `VK_JAPANESE_KATAKANA`
    `static int` | `VK_JAPANESE_ROMAN`
    `static int` | `VK_K`
    `static int` | `VK_KANA`
    `static int` | `VK_KANA_LOCK`
    `static int` | `VK_KANJI`
    `static int` | `VK_KATAKANA`
    `static int` | `VK_KP_DOWN` Constant for the numeric keypad down arrow key.
    `static int` | `VK_KP_LEFT` Constant for the numeric keypad left arrow key.
    `static int` | `VK_KP_RIGHT` Constant for the numeric keypad right arrow key.
    `static int` | `VK_KP_UP` Constant for the numeric keypad up arrow key.
    `static int` | `VK_L`
    `static int` | `VK_LEFT` Constant for the non-numpad left arrow key.
    `static int` | `VK_LEFT_PARENTHESIS` Constant for the "(" key.
    `static int` | `VK_LESS`
    `static int` | `VK_M`
    `static int` | `VK_META`
    `static int` | `VK_MINUS` Constant for the "-" key.
    `static int` | `VK_MODECHANGE`
    `static int` | `VK_MULTIPLY`
    `static int` | `VK_N`
    `static int` | `VK_NONCONVERT`
    `static int` | `VK_NUM_LOCK`
    `static int` | `VK_NUMBER_SIGN` Constant for the "#" key.
    `static int` | `VK_NUMPAD0`
    `static int` | `VK_NUMPAD1`
    `static int` | `VK_NUMPAD2`
    `static int` | `VK_NUMPAD3`
    `static int` | `VK_NUMPAD4`
    `static int` | `VK_NUMPAD5`
    `static int` | `VK_NUMPAD6`
    `static int` | `VK_NUMPAD7`
    `static int` | `VK_NUMPAD8`
    `static int` | `VK_NUMPAD9`
    `static int` | `VK_O`
    `static int` | `VK_OPEN_BRACKET`
    `static int` | `VK_P`
    `static int` | `VK_PAGE_DOWN`
    `static int` | `VK_PAGE_UP`
    `static int` | `VK_PASTE`
    `static int` | `VK_PAUSE`
    `static int` | `VK_PERIOD`
    `static int` | `VK_PLUS` Constant for the "+" key.
    `static int` | `VK_PREVIOUS_CANDIDATE`
    `static int` | `VK_PRINTSCREEN`
    `static int` | `VK_PROPS`
    `static int` | `VK_Q`
    `static int` | `VK_QUOTE`
    `static int` | `VK_QUOTEDBL`
    `static int` | `VK_R`
    `static int` | `VK_RIGHT` Constant for the non-numpad right arrow key.
    `static int` | `VK_RIGHT_PARENTHESIS` Constant for the ")" key.
    `static int` | `VK_ROMAN_CHARACTERS`
    `static int` | `VK_S`
    `static int` | `VK_SCROLL_LOCK`
    `static int` | `VK_SEMICOLON`
    `static int` | `VK_SEPARATER` This constant is obsolete, and is included only for backwards compatibility.
    `static int` | `VK_SEPARATOR` Constant for the Numpad Separator key.
    `static int` | `VK_SHIFT`
    `static int` | `VK_SLASH`
    `static int` | `VK_SPACE`
    `static int` | `VK_STOP`
    `static int` | `VK_SUBTRACT`
    `static int` | `VK_T`
    `static int` | `VK_TAB`
    `static int` | `VK_U`
    `static int` | `VK_UNDEFINED` This value is used to indicate that the keyCode is unknown.
    `static int` | `VK_UNDERSCORE` Constant for the "_" key.
    `static int` | `VK_UNDO`
    `static int` | `VK_UP` Constant for the non-numpad up arrow key.
    `static int` | `VK_V`
    `static int` | `VK_W`
    `static int` | `VK_X`
    `static int` | `VK_Y`
    `static int` | `VK_Z`

- - ### Field Detail

    - #### KEY_FIRST

          static final int KEY_FIRST

      The first number in the range of ids used for key events.
      See Also:
        Constant Field Values

    - #### KEY_LAST

          static final int KEY_LAST

      The last number in the range of ids used for key events.
      See Also:
        Constant Field Values

    - #### KEY_TYPED

          static final int KEY_TYPED

      The "key typed" event. This event is generated when a character is entered. In the simplest case, it is produced by a single key press. Often, however, characters are produced by series of key presses, and the mapping from key pressed events to key typed events may be many-to-one or many-to-many.
      See Also:
        Constant Field Values

    - #### KEY_PRESSED

          static final int KEY_PRESSED

      The "key pressed" event. This event is generated when a key is pushed down.
      See Also:
        Constant Field Values

    - #### KEY_RELEASED

          static final int KEY_RELEASED

      The "key released" event. This event is generated when a key is let up.
      See Also:
        Constant Field Values

    - #### VK_ENTER

          static final int VK_ENTER

      See Also:
        Constant Field Values

    - #### VK_BACK_SPACE

          static final int VK_BACK_SPACE

      See Also:
        Constant Field Values

    - #### VK_TAB

          static final int VK_TAB

      See Also:
        Constant Field Values

    - #### VK_CANCEL

          static final int VK_CANCEL

      See Also:
        Constant Field Values

    - #### VK_CLEAR

          static final int VK_CLEAR

      See Also:
        Constant Field Values

    - #### VK_SHIFT

          static final int VK_SHIFT

      See Also:
        Constant Field Values

    - #### VK_CONTROL

          static final int VK_CONTROL

      See Also:
        Constant Field Values

    - #### VK_ALT

          static final int VK_ALT

      See Also:
        Constant Field Values

    - #### VK_PAUSE

          static final int VK_PAUSE

      See Also:
        Constant Field Values

    - #### VK_CAPS_LOCK

          static final int VK_CAPS_LOCK

      See Also:
        Constant Field Values

    - #### VK_ESCAPE

          static final int VK_ESCAPE

      See Also:
        Constant Field Values

    - #### VK_SPACE

          static final int VK_SPACE

      See Also:
        Constant Field Values

    - #### VK_PAGE_UP

          static final int VK_PAGE_UP

      See Also:
        Constant Field Values

    - #### VK_PAGE_DOWN

          static final int VK_PAGE_DOWN

      See Also:
        Constant Field Values

    - #### VK_END

          static final int VK_END

      See Also:
        Constant Field Values

    - #### VK_HOME

          static final int VK_HOME

      See Also:
        Constant Field Values

    - #### VK_LEFT

          static final int VK_LEFT

      Constant for the non-numpad left arrow key.
      See Also:
        `VK_KP_LEFT`, Constant Field Values

    - #### VK_UP

          static final int VK_UP

      Constant for the non-numpad up arrow key.
      See Also:
        `VK_KP_UP`, Constant Field Values

    - #### VK_RIGHT

          static final int VK_RIGHT

      Constant for the non-numpad right arrow key.
      See Also:
        `VK_KP_RIGHT`, Constant Field Values

    - #### VK_DOWN

          static final int VK_DOWN

      Constant for the non-numpad down arrow key.
      See Also:
        `VK_KP_DOWN`, Constant Field Values

    - #### VK_COMMA

          static final int VK_COMMA

      See Also:
        Constant Field Values

    - #### VK_MINUS

          static final int VK_MINUS

      Constant for the "-" key.
      Since:
        1.2
      See Also:
        Constant Field Values

    - #### VK_PERIOD

          static final int VK_PERIOD

      See Also:
        Constant Field Values

    - #### VK_SLASH

          static final int VK_SLASH

      See Also:
        Constant Field Values

    - #### VK_0

          static final int VK_0

      VK_0 thru VK_9 are the same as ASCII '0' thru '9' (0x30 - 0x39)
      See Also:
        Constant Field Values

    - #### VK_1

          static final int VK_1

      See Also:
        Constant Field Values

    - #### VK_2

          static final int VK_2

      See Also:
        Constant Field Values

    - #### VK_3

          static final int VK_3

      See Also:
        Constant Field Values

    - #### VK_4

          static final int VK_4

      See Also:
        Constant Field Values

    - #### VK_5

          static final int VK_5

      See Also:
        Constant Field Values

    - #### VK_6

          static final int VK_6

      See Also:
        Constant Field Values

    - #### VK_7

          static final int VK_7

      See Also:
        Constant Field Values

    - #### VK_8

          static final int VK_8

      See Also:
        Constant Field Values

    - #### VK_9

          static final int VK_9

      See Also:
        Constant Field Values

    - #### VK_SEMICOLON

          static final int VK_SEMICOLON

      See Also:
        Constant Field Values

    - #### VK_EQUALS

          static final int VK_EQUALS

      See Also:
        Constant Field Values

    - #### VK_A

          static final int VK_A

      VK_A thru VK_Z are the same as ASCII 'A' thru 'Z' (0x41 - 0x5A)
      See Also:
        Constant Field Values

    - #### VK_B

          static final int VK_B

      See Also:
        Constant Field Values

    - #### VK_C

          static final int VK_C

      See Also:
        Constant Field Values

    - #### VK_D

          static final int VK_D

      See Also:
        Constant Field Values

    - #### VK_E

          static final int VK_E

      See Also:
        Constant Field Values

    - #### VK_F

          static final int VK_F

      See Also:
        Constant Field Values

    - #### VK_G

          static final int VK_G

      See Also:
        Constant Field Values

    - #### VK_H

          static final int VK_H

      See Also:
        Constant Field Values

    - #### VK_I

          static final int VK_I

      See Also:
        Constant Field Values

    - #### VK_J

          static final int VK_J

      See Also:
        Constant Field Values

    - #### VK_K

          static final int VK_K

      See Also:
        Constant Field Values

    - #### VK_L

          static final int VK_L

      See Also:
        Constant Field Values

    - #### VK_M

          static final int VK_M

      See Also:
        Constant Field Values

    - #### VK_N

          static final int VK_N

      See Also:
        Constant Field Values

    - #### VK_O

          static final int VK_O

      See Also:
        Constant Field Values

    - #### VK_P

          static final int VK_P

      See Also:
        Constant Field Values

    - #### VK_Q

          static final int VK_Q

      See Also:
        Constant Field Values

    - #### VK_R

          static final int VK_R

      See Also:
        Constant Field Values

    - #### VK_S

          static final int VK_S

      See Also:
        Constant Field Values

    - #### VK_T

          static final int VK_T

      See Also:
        Constant Field Values

    - #### VK_U

          static final int VK_U

      See Also:
        Constant Field Values

    - #### VK_V

          static final int VK_V

      See Also:
        Constant Field Values

    - #### VK_W

          static final int VK_W

      See Also:
        Constant Field Values

    - #### VK_X

          static final int VK_X

      See Also:
        Constant Field Values

    - #### VK_Y

          static final int VK_Y

      See Also:
        Constant Field Values

    - #### VK_Z

          static final int VK_Z

      See Also:
        Constant Field Values

    - #### VK_OPEN_BRACKET

          static final int VK_OPEN_BRACKET

      See Also:
        Constant Field Values

    - #### VK_BACK_SLASH

          static final int VK_BACK_SLASH

      See Also:
        Constant Field Values

    - #### VK_CLOSE_BRACKET

          static final int VK_CLOSE_BRACKET

      See Also:
        Constant Field Values

    - #### VK_NUMPAD0

          static final int VK_NUMPAD0

      See Also:
        Constant Field Values

    - #### VK_NUMPAD1

          static final int VK_NUMPAD1

      See Also:
        Constant Field Values

    - #### VK_NUMPAD2

          static final int VK_NUMPAD2

      See Also:
        Constant Field Values

    - #### VK_NUMPAD3

          static final int VK_NUMPAD3

      See Also:
        Constant Field Values

    - #### VK_NUMPAD4

          static final int VK_NUMPAD4

      See Also:
        Constant Field Values

    - #### VK_NUMPAD5

          static final int VK_NUMPAD5

      See Also:
        Constant Field Values

    - #### VK_NUMPAD6

          static final int VK_NUMPAD6

      See Also:
        Constant Field Values

    - #### VK_NUMPAD7

          static final int VK_NUMPAD7

      See Also:
        Constant Field Values

    - #### VK_NUMPAD8

          static final int VK_NUMPAD8

      See Also:
        Constant Field Values

    - #### VK_NUMPAD9

          static final int VK_NUMPAD9

      See Also:
        Constant Field Values

    - #### VK_MULTIPLY

          static final int VK_MULTIPLY

      See Also:
        Constant Field Values

    - #### VK_ADD

          static final int VK_ADD

      See Also:
        Constant Field Values

    - #### VK_SEPARATER

          static final int VK_SEPARATER

      This constant is obsolete, and is included only for backwards compatibility.
      See Also:
        Constant Field Values

    - #### VK_SEPARATOR

          static final int VK_SEPARATOR

      Constant for the Numpad Separator key.
      Since:
        1.4
      See Also:
        Constant Field Values

    - #### VK_SUBTRACT

          static final int VK_SUBTRACT

      See Also:
        Constant Field Values

    - #### VK_DECIMAL

          static final int VK_DECIMAL

      See Also:
        Constant Field Values

    - #### VK_DIVIDE

          static final int VK_DIVIDE

      See Also:
        Constant Field Values

    - #### VK_DELETE

          static final int VK_DELETE

      See Also:
        Constant Field Values

    - #### VK_NUM_LOCK

          static final int VK_NUM_LOCK

      See Also:
        Constant Field Values

    - #### VK_SCROLL_LOCK

          static final int VK_SCROLL_LOCK

      See Also:
        Constant Field Values

    - #### VK_F1

          static final int VK_F1

      Constant for the F1 function key.
      See Also:
        Constant Field Values

    - #### VK_F2

          static final int VK_F2

      Constant for the F2 function key.
      See Also:
        Constant Field Values

    - #### VK_F3

          static final int VK_F3

      Constant for the F3 function key.
      See Also:
        Constant Field Values

    - #### VK_F4

          static final int VK_F4

      Constant for the F4 function key.
      See Also:
        Constant Field Values

    - #### VK_F5

          static final int VK_F5

      Constant for the F5 function key.
      See Also:
        Constant Field Values

    - #### VK_F6

          static final int VK_F6

      Constant for the F6 function key.
      See Also:
        Constant Field Values

    - #### VK_F7

          static final int VK_F7

      Constant for the F7 function key.
      See Also:
        Constant Field Values

    - #### VK_F8

          static final int VK_F8

      Constant for the F8 function key.
      See Also:
        Constant Field Values

    - #### VK_F9

          static final int VK_F9

      Constant for the F9 function key.
      See Also:
        Constant Field Values

    - #### VK_F10

          static final int VK_F10

      Constant for the F10 function key.
      See Also:
        Constant Field Values

    - #### VK_F11

          static final int VK_F11

      Constant for the F11 function key.
      See Also:
        Constant Field Values

    - #### VK_F12

          static final int VK_F12

      Constant for the F12 function key.
      See Also:
        Constant Field Values

    - #### VK_F13

          static final int VK_F13

      See Also:
        Constant Field Values

    - #### VK_F14

          static final int VK_F14

      Constant for the F14 function key.
      Since:
        1.2
      See Also:
        Constant Field Values

    - #### VK_F15

          static final int VK_F15

      Constant for the F15 function key.
      Since:
        1.2
      See Also:
        Constant Field Values

    - #### VK_F16

          static final int VK_F16

      Constant for the F16 function key.
      Since:
        1.2
      See Also:
        Constant Field Values

    - #### VK_F17

          static final int VK_F17

      Constant for the F17 function key.
      Since:
        1.2
      See Also:
        Constant Field Values

    - #### VK_F18

          static final int VK_F18

      Constant for the F18 function key.
      Since:
        1.2
      See Also:
        Constant Field Values

    - #### VK_F19

          static final int VK_F19

      Constant for the F19 function key.
      Since:
        1.2
      See Also:
        Constant Field Values

    - #### VK_F20

          static final int VK_F20

      Constant for the F20 function key.
      Since:
        1.2
      See Also:
        Constant Field Values

    - #### VK_F21

          static final int VK_F21

      Constant for the F21 function key.
      Since:
        1.2
      See Also:
        Constant Field Values

    - #### VK_F22

          static final int VK_F22

      Constant for the F22 function key.
      Since:
        1.2
      See Also:
        Constant Field Values

    - #### VK_F23

          static final int VK_F23

      Constant for the F23 function key.
      Since:
        1.2
      See Also:
        Constant Field Values

    - #### VK_F24

          static final int VK_F24

      Constant for the F24 function key.
      Since:
        1.2
      See Also:
        Constant Field Values

    - #### VK_PRINTSCREEN

          static final int VK_PRINTSCREEN

      See Also:
        Constant Field Values

    - #### VK_INSERT

          static final int VK_INSERT

      See Also:
        Constant Field Values

    - #### VK_HELP

          static final int VK_HELP

      See Also:
        Constant Field Values

    - #### VK_META

          static final int VK_META

      See Also:
        Constant Field Values

    - #### VK_BACK_QUOTE

          static final int VK_BACK_QUOTE

      See Also:
        Constant Field Values

    - #### VK_QUOTE

          static final int VK_QUOTE

      See Also:
        Constant Field Values

    - #### VK_KP_UP

          static final int VK_KP_UP

      Constant for the numeric keypad up arrow key.
      Since:
        1.2
      See Also:
        `VK_UP`, Constant Field Values

    - #### VK_KP_DOWN

          static final int VK_KP_DOWN

      Constant for the numeric keypad down arrow key.
      Since:
        1.2
      See Also:
        `VK_DOWN`, Constant Field Values

    - #### VK_KP_LEFT

          static final int VK_KP_LEFT

      Constant for the numeric keypad left arrow key.
      Since:
        1.2
      See Also:
        `VK_LEFT`, Constant Field Values

    - #### VK_KP_RIGHT

          static final int VK_KP_RIGHT

      Constant for the numeric keypad right arrow key.
      Since:
        1.2
      See Also:
        `VK_RIGHT`, Constant Field Values

    - #### VK_DEAD_GRAVE

          static final int VK_DEAD_GRAVE

      Since:
        1.2
      See Also:
        Constant Field Values

    - #### VK_DEAD_ACUTE

          static final int VK_DEAD_ACUTE

      Since:
        1.2
      See Also:
        Constant Field Values

    - #### VK_DEAD_CIRCUMFLEX

          static final int VK_DEAD_CIRCUMFLEX

      Since:
        1.2
      See Also:
        Constant Field Values

    - #### VK_DEAD_TILDE

          static final int VK_DEAD_TILDE

      Since:
        1.2
      See Also:
        Constant Field Values

    - #### VK_DEAD_MACRON

          static final int VK_DEAD_MACRON

      Since:
        1.2
      See Also:
        Constant Field Values

    - #### VK_DEAD_BREVE

          static final int VK_DEAD_BREVE

      Since:
        1.2
      See Also:
        Constant Field Values

    - #### VK_DEAD_ABOVEDOT

          static final int VK_DEAD_ABOVEDOT

      Since:
        1.2
      See Also:
        Constant Field Values

    - #### VK_DEAD_DIAERESIS

          static final int VK_DEAD_DIAERESIS

      Since:
        1.2
      See Also:
        Constant Field Values

    - #### VK_DEAD_ABOVERING

          static final int VK_DEAD_ABOVERING

      Since:
        1.2
      See Also:
        Constant Field Values

    - #### VK_DEAD_DOUBLEACUTE

          static final int VK_DEAD_DOUBLEACUTE

      Since:
        1.2
      See Also:
        Constant Field Values

    - #### VK_DEAD_CARON

          static final int VK_DEAD_CARON

      Since:
        1.2
      See Also:
        Constant Field Values

    - #### VK_DEAD_CEDILLA

          static final int VK_DEAD_CEDILLA

      Since:
        1.2
      See Also:
        Constant Field Values

    - #### VK_DEAD_OGONEK

          static final int VK_DEAD_OGONEK

      Since:
        1.2
      See Also:
        Constant Field Values

    - #### VK_DEAD_IOTA

          static final int VK_DEAD_IOTA

      Since:
        1.2
      See Also:
        Constant Field Values

    - #### VK_DEAD_VOICED_SOUND

          static final int VK_DEAD_VOICED_SOUND

      Since:
        1.2
      See Also:
        Constant Field Values

    - #### VK_DEAD_SEMIVOICED_SOUND

          static final int VK_DEAD_SEMIVOICED_SOUND

      Since:
        1.2
      See Also:
        Constant Field Values

    - #### VK_AMPERSAND

          static final int VK_AMPERSAND

      Since:
        1.2
      See Also:
        Constant Field Values

    - #### VK_ASTERISK

          static final int VK_ASTERISK

      Since:
        1.2
      See Also:
        Constant Field Values

    - #### VK_QUOTEDBL

          static final int VK_QUOTEDBL

      Since:
        1.2
      See Also:
        Constant Field Values

    - #### VK_LESS

          static final int VK_LESS

      Since:
        1.2
      See Also:
        Constant Field Values

    - #### VK_GREATER

          static final int VK_GREATER

      Since:
        1.2
      See Also:
        Constant Field Values

    - #### VK_BRACELEFT

          static final int VK_BRACELEFT

      Since:
        1.2
      See Also:
        Constant Field Values

    - #### VK_BRACERIGHT

          static final int VK_BRACERIGHT

      Since:
        1.2
      See Also:
        Constant Field Values

    - #### VK_AT

          static final int VK_AT

      Constant for the "@" key.
      Since:
        1.2
      See Also:
        Constant Field Values

    - #### VK_COLON

          static final int VK_COLON

      Constant for the ":" key.
      Since:
        1.2
      See Also:
        Constant Field Values

    - #### VK_CIRCUMFLEX

          static final int VK_CIRCUMFLEX

      Constant for the "^" key.
      Since:
        1.2
      See Also:
        Constant Field Values

    - #### VK_DOLLAR

          static final int VK_DOLLAR

      Constant for the "$" key.
      Since:
        1.2
      See Also:
        Constant Field Values

    - #### VK_EURO_SIGN

          static final int VK_EURO_SIGN

      Constant for the Euro currency sign key.
      Since:
        1.2
      See Also:
        Constant Field Values

    - #### VK_EXCLAMATION_MARK

          static final int VK_EXCLAMATION_MARK

      Constant for the "!" key.
      Since:
        1.2
      See Also:
        Constant Field Values

    - #### VK_INVERTED_EXCLAMATION_MARK

          static final int VK_INVERTED_EXCLAMATION_MARK

      Constant for the inverted exclamation mark key.
      Since:
        1.2
      See Also:
        Constant Field Values

    - #### VK_LEFT_PARENTHESIS

          static final int VK_LEFT_PARENTHESIS

      Constant for the "(" key.
      Since:
        1.2
      See Also:
        Constant Field Values

    - #### VK_NUMBER_SIGN

          static final int VK_NUMBER_SIGN

      Constant for the "#" key.
      Since:
        1.2
      See Also:
        Constant Field Values

    - #### VK_PLUS

          static final int VK_PLUS

      Constant for the "+" key.
      Since:
        1.2
      See Also:
        Constant Field Values

    - #### VK_RIGHT_PARENTHESIS

          static final int VK_RIGHT_PARENTHESIS

      Constant for the ")" key.
      Since:
        1.2
      See Also:
        Constant Field Values

    - #### VK_UNDERSCORE

          static final int VK_UNDERSCORE

      Constant for the "_" key.
      Since:
        1.2
      See Also:
        Constant Field Values

    - #### VK_FINAL

          static final int VK_FINAL

      See Also:
        Constant Field Values

    - #### VK_CONVERT

          static final int VK_CONVERT

      See Also:
        Constant Field Values

    - #### VK_NONCONVERT

          static final int VK_NONCONVERT

      See Also:
        Constant Field Values

    - #### VK_ACCEPT

          static final int VK_ACCEPT

      See Also:
        Constant Field Values

    - #### VK_MODECHANGE

          static final int VK_MODECHANGE

      See Also:
        Constant Field Values

    - #### VK_KANA

          static final int VK_KANA

      See Also:
        Constant Field Values

    - #### VK_KANJI

          static final int VK_KANJI

      See Also:
        Constant Field Values

    - #### VK_ALPHANUMERIC

          static final int VK_ALPHANUMERIC

      See Also:
        Constant Field Values

    - #### VK_KATAKANA

          static final int VK_KATAKANA

      See Also:
        Constant Field Values

    - #### VK_HIRAGANA

          static final int VK_HIRAGANA

      See Also:
        Constant Field Values

    - #### VK_FULL_WIDTH

          static final int VK_FULL_WIDTH

      See Also:
        Constant Field Values

    - #### VK_HALF_WIDTH

          static final int VK_HALF_WIDTH

      See Also:
        Constant Field Values

    - #### VK_ROMAN_CHARACTERS

          static final int VK_ROMAN_CHARACTERS

      See Also:
        Constant Field Values

    - #### VK_ALL_CANDIDATES

          static final int VK_ALL_CANDIDATES

      See Also:
        Constant Field Values

    - #### VK_PREVIOUS_CANDIDATE

          static final int VK_PREVIOUS_CANDIDATE

      See Also:
        Constant Field Values

    - #### VK_CODE_INPUT

          static final int VK_CODE_INPUT

      See Also:
        Constant Field Values

    - #### VK_JAPANESE_KATAKANA

          static final int VK_JAPANESE_KATAKANA

      See Also:
        Constant Field Values

    - #### VK_JAPANESE_HIRAGANA

          static final int VK_JAPANESE_HIRAGANA

      See Also:
        Constant Field Values

    - #### VK_JAPANESE_ROMAN

          static final int VK_JAPANESE_ROMAN

      See Also:
        Constant Field Values

    - #### VK_KANA_LOCK

          static final int VK_KANA_LOCK

      See Also:
        Constant Field Values

    - #### VK_INPUT_METHOD_ON_OFF

          static final int VK_INPUT_METHOD_ON_OFF

      See Also:
        Constant Field Values

    - #### VK_CUT

          static final int VK_CUT

      Since:
        1.2
      See Also:
        Constant Field Values

    - #### VK_COPY

          static final int VK_COPY

      Since:
        1.2
      See Also:
        Constant Field Values

    - #### VK_PASTE

          static final int VK_PASTE

      Since:
        1.2
      See Also:
        Constant Field Values

    - #### VK_UNDO

          static final int VK_UNDO

      Since:
        1.2
      See Also:
        Constant Field Values

    - #### VK_AGAIN

          static final int VK_AGAIN

      Since:
        1.2
      See Also:
        Constant Field Values

    - #### VK_FIND

          static final int VK_FIND

      Since:
        1.2
      See Also:
        Constant Field Values

    - #### VK_PROPS

          static final int VK_PROPS

      Since:
        1.2
      See Also:
        Constant Field Values

    - #### VK_STOP

          static final int VK_STOP

      Since:
        1.2
      See Also:
        Constant Field Values

    - #### VK_COMPOSE

          static final int VK_COMPOSE

      Constant for the Compose function key.
      Since:
        1.2
      See Also:
        Constant Field Values

    - #### VK_ALT_GRAPH

          static final int VK_ALT_GRAPH

      Constant for the AltGraph function key.
      Since:
        1.2
      See Also:
        Constant Field Values

    - #### VK_UNDEFINED

          static final int VK_UNDEFINED

      This value is used to indicate that the keyCode is unknown. KEY_TYPED events do not have a keyCode value; this value is used instead.
      See Also:
        Constant Field Values

    - #### CHAR_UNDEFINED

          static final char CHAR_UNDEFINED

      KEY_PRESSED and KEY_RELEASED events which do not map to a valid Unicode character use this for the keyChar value.
      See Also:
        Constant Field Values

    - #### KEY_LOCATION_UNKNOWN

          static final int KEY_LOCATION_UNKNOWN

      A constant indicating that the keyLocation is indeterminate or not relevant. KEY_TYPED events do not have a keyLocation; this value is used instead.
      Since:
        1.4
      See Also:
        Constant Field Values

    - #### KEY_LOCATION_STANDARD

          static final int KEY_LOCATION_STANDARD

      A constant indicating that the key pressed or released is not distinguished as the left or right version of a key, and did not originate on the numeric keypad (or did not originate with a virtual key corresponding to the numeric keypad).
      Since:
        1.4
      See Also:
        Constant Field Values

    - #### KEY_LOCATION_LEFT

          static final int KEY_LOCATION_LEFT

      A constant indicating that the key pressed or released is in the left key location (there is more than one possible location for this key). Example: the left shift key.
      Since:
        1.4
      See Also:
        Constant Field Values

    - #### KEY_LOCATION_RIGHT

          static final int KEY_LOCATION_RIGHT

      A constant indicating that the key pressed or released is in the right key location (there is more than one possible location for this key). Example: the right shift key.
      Since:
        1.4
      See Also:
        Constant Field Values

    - #### KEY_LOCATION_NUMPAD

          static final int KEY_LOCATION_NUMPAD

      A constant indicating that the key event originated on the numeric keypad or with a virtual key corresponding to the numeric keypad.
      Since:
        1.4
      See Also:
        Constant Field Values

Copyright © 2002 - 2013 - Wolf Paulus - wolfpaulus.com. All rights reserved.